<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [isBusy](./bitburner.singularity.isbusy.md)

## Singularity.isBusy() method

Check if the player is busy.

**Signature:**

```typescript
isBusy(): boolean;
```
**Returns:**

boolean

True if the player is currently performing an ‘action’, false otherwise.

## Remarks

RAM cost: 0.5 GB \* 16/4/1

Returns a boolean indicating whether or not the player is currently performing an ‘action’. These actions include working for a company/faction, studying at a university, working out at a gym, creating a program, committing a crime, or carrying out a Hacking Mission.

